/*!
 * name: @jswork/next-blob2file
 * description: Blob to file for next.
 * homepage: https://github.com/afeiship/next-blob2file
 * version: 1.0.0
 * date: 2021-04-13 18:39:01
 * license: MIT
 */

"use strict";

(function () {
  var global = typeof window !== 'undefined' ? window : this || Function('return this')();

  var nx = global.nx || require('@jswork/next');

  nx.blob2file = function (inBlob, inFilename) {
    var filename = inFilename || 'untitled';
    var options = {
      type: inBlob.type,
      lastModified: Date.now()
    };
    return new File([inBlob], filename, options);
  };

  if (typeof module !== 'undefined' && module.exports) {
    module.exports = nx.blob2file;
  }
})();